Get the CUBRID PHP module's version

- « cubrid_set_query_timeout

- CUBRID MySQL Compatibility Functions »

- PHP Manual
- CUBRID Functions
- Get the CUBRID PHP module's version

# cubrid_version

(PECL CUBRID >= 8.3.0)

cubrid_version — Get the CUBRID PHP module's version

### Description

cubrid_version(): string

The cubrid_version() function is used to get the CUBRID PHP module's version.

### Parameters

This function has no parameters.

### Return Values

Version information (eg. "8.3.1.0001").

### Examples

Example #1 cubrid_version() example

    <?phpprintf("%-30s %s\n", "CUBRID PHP Version:", cubrid_version());printf("\n");$conn = cubrid_connect("localhost", 33088, "demodb", "dba");if (!$conn) {    die('Connect Error ('. cubrid_error_code() .')' . cubrid_error_msg());}$db_params = cubrid_get_db_parameter($conn);while (list($param_name, $param_value) = each($db_params)) {    printf("%-30s %s\n", $param_name, $param_value);}printf("\n");$server_info = cubrid_get_server_info($conn);$client_info = cubrid_get_client_info();printf("%-30s %s\n", "Server Info:", $server_info);printf("%-30s %s\n", "Client Info:", $client_info);printf("\n");$charset = cubrid_get_charset($conn);printf("%-30s %s\n", "CUBRID Charset:", $charset);cubrid_disconnect($conn);?>

The above example will output:

    CUBRID PHP Version:            9.1.0.0001

    PARAM_ISOLATION_LEVEL          3
    LOCK_TIMEOUT                   -1
    MAX_STRING_LENGTH              1073741823
    PARAM_AUTO_COMMIT              1

    Server Info:                   9.1.0.0212
    Client Info:                   9.1.0

    CUBRID Charset:                iso8859-1

### See Also

- cubrid_error_code() - Get error code for the most recent function call
- cubrid_error_code_facility() - Get the facility code of error